<?php
/**
 * Retrieves and creates the wp-config.php file.
 *
 * The permissions for the base directory must allow for writing files in order
 * for the wp-config.php to be created using this page.
 *
 * @package WordPress
 * @subpackage Administration
 */

/**
 * We are installing.
 *
 * @package WordPress
 */
define('WP_INSTALLING', true);

/**#@+
 * These three defines are required to allow us to use require_wp_db() to load
 * the database class while being wp-content/db.php aware.
 * @ignore
 */
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');
define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
/**#@-*/

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Mi devas uzi dosieron wp-config-sample.php. Bonvolu denove alŝuti tiun ĉi dosieron de via instalo de WordPress.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("Bedaŭrinde, mi ne rajtas modifi ion en tiu dosierujo. Aŭ vi bezonas ŝanĝi la permesojn de via dosierujo aŭ vi bezonos krei vian wp-config.php mane.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>La dosiero 'wp-config.php' jam ekzistas. Se vi bezonas ŝanĝi la agorderojn en tiu ĉi dosiero, bonvolu forviŝi la ekzistantan dosieron. Vi povas provi <a href='install.php'>instali nun</a>.</p>");

// Check if wp-config.php exists above the root directory
if (file_exists('../../wp-config.php') && ! file_exists('../../wp-load.php'))
	wp_die("<p>La dosiero 'wp-config.php' jam ekzistas en la nivelo super via instalo de WordPress. Se vi bezonas ŝanĝi iujn el la agorderoj en tiu ĉi dosiero, bonvolu forviŝi la ekzistantan dosieron. Vi povas provi <a href='install.php'>instali nun</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

/**
 * Display setup wp-config.php file header.
 *
 * @ignore
 * @since 2.3.0
 * @package WordPress
 * @subpackage Installer_WP_Config
 */
function display_header() {
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; agordodosiero</title>
<link rel="stylesheet" href="css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Bonvenon ĉe WordPress. Unue, ni bezonas informojn pri la datumbazo. Vi bezonas scii la sekvajn erojn antaŭ daŭrigi</p>
<ol>
	<li>Nomo de datumbazo</li>
	<li>Uzantnomo por datumbazo</li>
	<li>Pasvorto por datumbazo</li>
	<li>Gastiganto de datumbazo</li>
	<li>Tabela prefikso (se vi volas havi pli ol unu WordPress en unu datumbazo) </li>
</ol>
<p><strong>Se por iu kialo tiu ĉi aŭtomata dosiera kreado misas, ne ĉagreniĝu. Temas pri la plenigo de informoj pri la datumbazo en agorda dosiero, kaj vi povas fari tion mane. Malfermu <code>wp-config-sample.php</code> en tekstoredaktilo, entajpu la informojn, kaj konservi ĝin kiel <code>wp-config.php</code>. </strong></p>
<p>Plej verŝajne, tiuj ĉi informoj estis donitaj al vi de via reta gastiganto. Se vi ne havas la informojn, vi bezonos kontakti ilin antaŭ ol vi povas daŭrigi.</p>

<p class="step"><a href="setup-config.php?step=1" class="button">Ek!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Sube, entajpu la detalojn pri via datumbazo. Se vi ne estas certa pri io, bonvolu kontakti vian gastiganton.</p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbname">Datumbaza nomo</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
			<td>La nomo de la datumbazo kiun vi volas utiligi por WP </td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">Uzantnomo</label></th>
			<td><input name="uname" id="uname" type="text" size="25" value="username" /></td>
			<td>Via uzantnomo por MySQL</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">Pasvorto</label></th>
			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
			<td>...kaj pasvorto por MySQL.</td>
		</tr>
		<tr>
			<th scope="row"><label for="dbhost">Datumbaza gastiganto</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
			<td>99% probablo ke vi ne bezonos ŝanĝi tiun ĉi valoron.</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">Tabla prefikso</label></th>
			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Se vi volas ke pli ol unu instalo de WordPress uzu nur unu datumbazon, ŝanĝu ĉi tion.</td>
		</tr>
	</table>
	<p class="step"><input name="submit" type="submit" value="Bone" class="button" /></p>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	/**#@+
	 * @ignore
	 */
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);
	/**#@-*/

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("enmetudatumbazonomon", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'uzantnomo'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'pasvorto'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>Bonege, amiko! Vi venkis tiun parton de la instalo. WordPress povas komuniki kun via datumbazo. Se vi estas preta, ek al&hellip;</p>

<p class="step"><a href="install.php" class="button">la instalo</a></p>
<?php
	break;
}
?>
</body>
</html>
